![Sandbox1](https://github.com/user-attachments/assets/0e234fa3-910c-40c1-ae76-992f14a36e1e)


# sandbox

A more evolved 2D cellular automaton with gravity and different elements. Similar to the Powder Toy.

## Installation
```
git clone https://github.com/xamidev/sandbox
cd sandbox/build
./premake5 gmake2
cd ..
make
```

## Usage
```
bin/Debug/sandbox
```

## Controls

| Action | Key |
| ------ | --- |
| Spawn element | Left click |
| Change brush | Right click |

![Sandbox2](https://github.com/user-attachments/assets/b994dccd-e9bc-47c4-952c-701c40c07bd5)
